import java.util.*;

public class Tools {

  public static String titleCase(String s) {
 
    String ts = "";
    StringTokenizer tk = new StringTokenizer(s, " ");
    while (tk.hasMoreTokens()) {
      StringBuffer b = new StringBuffer(tk.nextToken().toLowerCase());
      b.setCharAt(0, Character.toUpperCase(b.charAt(0)));
      ts += " " + b;
    } 

    return ts;
  }

  public static double base10(double d) {

    if (d == 0) return d;

    double log;

    if (d > 1) {
      log = 1;
      while (d > 10) {
        log *= 10;
        d /= 10;
      }
    } else {
      log = 0.1;
      while (d < .1) {
        log /= 10;
        d *= 10;
      }
    }

    return log;
  }

  public static double base10RoundedMax(double[] n) {

    double max = max(n);
    if (max == 0) return max;

    double base10Max = base10(max);
    double rndMax = Math.ceil(max / base10Max) * base10Max;

    return rndMax;
  }

  public static double max(double[] n) {

    double max = -1 * Double.MAX_VALUE;

    for (int i = 0; i < n.length; i++) {
      max = Math.max(n[i], max);
    }

    return max;
  }

  public static String toString(double d) {

    if (d == 0) return "(Zero or no data)";
    if (d < 10) return Double.toString(d);

    String s = Integer.toString((int) d);
    String r = "";

    for (int i = s.length();  i > 0; i -=3) {

      int begin = (i > 3) ? i - 3 : 0;
      r = s.substring(begin, i) + "," + r;
    }

    return r.substring(0, r.length() - 1);
  }
}




